read.lisst {oce} | R Documentation

## Read a LISST File

### Description

Read a LISST data file, producing a `lisst` object, i.e. one inheriting from `lisst-class`. The file should contain 42 columns, with no header. If there are fewer than 42 columns, an error results. If there are more, only the first 42 are used. Note that `read.oce` can recognize LISST files by their having a name ending in `".asc"` and by having 42 elements on the first line. Even so, it is preferred to use the present function, because it gives the opportunity to specify the year and timezone, so that times can be calculated properly.

### Usage

    read.lisst(file, year = 0, tz = "UTC", longitude = NA, latitude = NA)

### Arguments

`file` | a connection or a character string giving the name of the file to load.
`year` | year in which the measurement of the series was made.
`tz` | time zone.
`longitude` | longitude of observation (stored in metadata)
`latitude` | latitude of observation (stored in metadata)

### Value

An object of `lisst-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `lisst` data: `[[,lisst-method`, `[[<-,lisst-method`, `as.lisst`, `lisst-class`, `plot,lisst-method`, `summary,lisst-method`

[Package oce version 0.9-22 Index]